Bug 525432 - Review Request: openxcap - Fully featured XCAP server
Summary: Review Request: openxcap - Fully featured XCAP server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Colin Kissa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-24 11:42 UTC by Peter Lemenkov
Modified: 2009-11-25 15:30 UTC (History)
3 users (show)

Fixed In Version: 1.1.2-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-20 05:28:40 UTC
Type: ---
andrew: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Peter Lemenkov 2009-09-24 11:42:36 UTC
Spec URL: http://peter.fedorapeople.org/openxcap.spec
SRPM URL: http://peter.fedorapeople.org/openxcap-1.1.2-1.fc11.src.rpm

Description: Fully featured XCAP server. An XCAP server is used by SIP SIMPLE clients and 
servers to manage buddy lists and policy for subscriptions to presence or
other type of events published using SIP protocol.

XCAP protocol allows a client to read, write and modify application
configuration data stored in XML format on a server. XCAP maps XML document
sub-trees and element attributes to HTTP URIs, so that these components can 
be directly accessed by HTTP. An XCAP server is used by the XCAP clients to
store data like Presence policy in combination with a SIP Presence server
that supports PUBLISH/SUBSCRIBE/NOTIFY methods to provide a complete SIP 
SIMPLE server solution.

Koji scratchbuild for F-11
http://koji.fedoraproject.org/koji/taskinfo?taskID=1703461

Comment 1 Andrew Colin Kissa 2009-11-03 09:39:31 UTC
OK: rpmlint must be run on every package

rpmlint ~/rpmbuild/RPMS/noarch/openxcap-1.1.2-1.fc11.noarch.rpm ~/rpmbuild/SRPMS/openxcap-1.1.2-1.fc11.src.rpm 
openxcap.src: W: mixed-use-of-spaces-and-tabs (spaces: line 16, tab: line 4)
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

- The warning is not a deal breaker you can fix that.

OK: The package must be named according to the Package Naming Guidelines
OK: The spec file name must match the base package
OK: The package must meet the Packaging Guidelines
OK: The package must be licensed with a Fedora approved license
OK: The License field in the package spec file must match the actual license
OK: License text included
OK: The spec file must be written in American English
OK: The spec file for the package MUST be legible
OK: The sources used to build the package must match the upstream source

sha1sum openxcap-1.1.2.tar.gz rpmbuild/SOURCES/openxcap-1.1.2.tar.gz 
9ed0917ae69dae7bd8eb05e8d81653cb54a0dea0  openxcap-1.1.2.tar.gz
9ed0917ae69dae7bd8eb05e8d81653cb54a0dea0  rpmbuild/SOURCES/openxcap-1.1.2.tar.gz

OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture

http://koji.fedoraproject.org/koji/taskinfo?taskID=1784722

N\A: ExcludeArch
OK: All build dependencies must be listed in BuildRequires
N\A: The spec file MUST handle locales properly
N\A: Must call ldconfig in %post and %postun
N\A: If the package is designed to be relocatable
OK: A package must own all directories that it creates
OK: A Fedora package must not list a file more than once
OK: Permissions on files must be set properly
OK: Each package must have a %clean section
FAIL: Each package must consistently use macros

If you are using the %{__python} style macros, then you need to be consistent
and use %{__install}, %{__rm} etc

OK: The package must contain code, or permissable content
N\A: Large documentation files must go in a -doc subpackage
OK: If a package includes something as %doc, it must not affect the runtime of the application
OK: Header files must be in a -devel package
N\A: Static libraries must be in a -static package
N\A: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
N\A: Library files that end in .so (without suffix) must go in a -devel package
N\A: In the vast majority of cases, devel packages must require the base package
OK: Packages must NOT contain any .la libtool archives
N\A: Packages containing GUI applications must include a %{name}.desktop file
OK: Packages must not own files or directories already owned by other packages
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
OK: All filenames in rpm packages must be valid UTF-8


- Please fix the issues raised before requesting CVS.

-------------------------------------------------------------------
    This package (openxcap) is APPROVED by topdog
-------------------------------------------------------------------

Comment 2 Peter Lemenkov 2009-11-05 12:44:03 UTC
Thanks, Andrew!

New Package CVS Request
=======================
Package Name: openxcap
Short Description: Fully featured XCAP server
Owners: peter
Branches: F-11 F-12 EL-4 EL-5
InitialCC:

Comment 3 Kevin Fenzi 2009-11-06 20:22:03 UTC
cvs done.

Comment 4 Fedora Update System 2009-11-06 21:09:30 UTC
openxcap-1.1.2-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/openxcap-1.1.2-1.el4

Comment 5 Fedora Update System 2009-11-06 21:09:35 UTC
openxcap-1.1.2-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/openxcap-1.1.2-1.el5

Comment 6 Fedora Update System 2009-11-06 21:09:40 UTC
openxcap-1.1.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openxcap-1.1.2-1.fc11

Comment 7 Fedora Update System 2009-11-07 02:23:12 UTC
openxcap-1.1.2-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openxcap'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0804

Comment 8 Fedora Update System 2009-11-07 02:23:17 UTC
openxcap-1.1.2-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openxcap'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0806

Comment 9 Fedora Update System 2009-11-10 17:55:31 UTC
openxcap-1.1.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openxcap'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11280

Comment 10 Fedora Update System 2009-11-18 09:04:23 UTC
openxcap-1.1.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/openxcap-1.1.2-1.fc12

Comment 11 Fedora Update System 2009-11-20 05:28:35 UTC
openxcap-1.1.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-11-25 15:30:46 UTC
openxcap-1.1.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.